Subject: Requesting ability to change folder name of shared folder

From: Дмитрий Черных <[email-masked]>
Date: Tue, 24 Apr 2018 13:10:41 +0000

Package: none
Version: 4.1.0.0
Severity: wishlist

<Nimmerzeth> is there anyway to change the path to forwarded local dir on the server from ~/media/disk/_cygdrive_C....._finallyMyFolderName/
<Nimmerzeth> ?
* troffasky has quit (Ping timeout: 260 seconds)
<Ionic> no
<Ionic> some desktop bindings make it more easily accessible, but the name is hardcoded/autogenerated
<Nimmerzeth> =(
<Nimmerzeth> It would be so neat if I could change at least the "_cygdrive_C....._finallyMyFolderName/"
<Ionic> first such request I hear
<Nimmerzeth> Ok, sorry for wasting your time and thanks for fast reply
<Nimmerzeth> I can explain why I need this feature if you wish =)
<Ionic> well, it might be a useful feature, it's just that nobody requested it yet
<Ionic> the name currently is autogenerated from the full path IIRC... at least on windows, not sure how it's on linux and OS X
<Nimmerzeth> I'm writing my own program. and I want to host it on VDS with ubuntu using x2go. Client should connect via x2go, only the programm window will be launched and forwarded, not the whole session
<Nimmerzeth> and this program needs files on users PC (windows) to process data, I want to hardcode this path
<Ionic> hm, hardcoding a path doesn't sound like a good idea for some reason
<Nimmerzeth> but this dynamic-really-long-path is a pain =(
<Ionic> yeah, I understand
<Ionic> sounds like a reasonable wishlist bug
<Nimmerzeth> any chance this feature will be implemented any time soon?
* uli421 has quit (Ping timeout: 260 seconds)
<Nimmerzeth> I understand that changing the whole path could be a big mistake due to security reasons, but at least the final folder name sounds reasonable for me
<Nimmerzeth> btw, what are the rm and cd folders in ~/media?
<Ionic> well I'd add another field to the sharing table for the remote path, defaulting to the autogenerated one
<Ionic> rm = removable media, cd = self-explanatory I guess...
<Nimmerzeth> yeah
<Nimmerzeth> you guys are awesome!
<Nimmerzeth> big thanks in advance =)
<Ionic> buuut given that it's a deeper-reaching change don't expect it to be available soon, I'm currently devoting most of my time to reimplement nxagent's crtcs handling
<Ionic> (i.e., the passthrough of xinerama information to the nested X server)
<Nimmerzeth> sure. thanks anyway. hope at least this year
<Ionic> please create a wishlist bug report in the bug tracker though
<Ionic> https://wiki.x2go.org/doku.php/wiki:bugs#feature_requ..<https://vk.com/away.php?to=https%3A%2F%2Fwiki.x2go.org%2Fdoku.php%2Fwiki%3Abugs%23feature_requests_wishlist_bugs&cc_key=>(plus the other information on this page, including examples)
* tan has quit (Remote host closed the connection)
* tan (~quassel@unaffiliated/tan) has joined
<Nimmerzeth> I will paste this chat log as the description if you don't mind